package org.kropp.index;


public class Condition {
	private String myName;
	
	private String myValue;
	
	private Query.Axis myAxis;
	
	public Condition(Query.Axis axis, String name, String value) {
		myName = name;
		myValue = value;
		myAxis = axis;
	}
	
	public String getName() {
		return myName;
	}
	
	public String getValue() {
		return myValue;
	}
	
	public Query.Axis getAxis() {
		return myAxis;
	}
	
	@Override
	public String toString() {
		return "{" + myAxis + "::" + myName + "=" + myValue + "}";
	}
}
