package org.kropp.tests;

import org.kropp.util.xml.*;
import junit.framework.TestCase;

public class XPathQueryTest extends TestCase {
	public void testXPathQuery1() {
		XPathQuery query = new XPathQuery("descendant-or-self::target");
		
		assertEquals("[{DESCENDANT_OR_SELF::target=}]", query.toString());
	}

	public void testXPathQuery2() {
		XPathQuery query = new XPathQuery("//target");
		
		assertEquals("[{CHILD::target=}]", query.toString());
	}

	public void testXPathQuery3() {
		XPathQuery query = new XPathQuery("/target/@name=\"init\"");
		
		assertEquals("[{CHILD::target=}, {ATTRIBUTE::name=\"init\"}]", query.toString());
	}
}
