package org.kropp.index;

import java.util.*;



public abstract class AbstractQuery implements Query {
	private ArrayList<Condition> myConditions = new ArrayList<Condition>();
	
	protected void addCondition(Condition cond) {
		myConditions.add(cond);
	}
	
	public List<Condition> getConditions() {
		return Collections.unmodifiableList(myConditions);
	}
	
	@Override
	public String toString() {
		return myConditions.toString();
	}
}