package org.kropp.tests;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.kropp.util.*;

public class AllTests {
	public static Test suite() {
		TestSuite suite = new TestSuite("Tests for org.kropp");
		//$JUnit-BEGIN$
		suite.addTestSuite(StackTest.class);
		suite.addTestSuite(BTreeLeafNodeTest.class);
		suite.addTestSuite(BTreeNodeTest.class);
		suite.addTestSuite(BTreeTest.class);
		suite.addTestSuite(IndexNodeTest.class);
		suite.addTestSuite(IndexFactoryTest.class);
		suite.addTestSuite(XPathQueryTest.class);

		suite.addTestSuite(SearchEngineTestTestXml.class);
		suite.addTestSuite(SearchEngineTestShakespeareXml.class);
		suite.addTestSuite(SearchEngineTestNasaXml.class);
		//$JUnit-END$
		return suite;
	}
}
