package org.kropp.tests;

import org.kropp.index.impl.IndexNodeImpl;
import org.exist.util.*;
import org.dbxml.core.data.Value;

import junit.framework.TestCase;

public class IndexNodeTest extends TestCase {
	public void testIndexNode() {
		IndexNodeImpl in = new IndexNodeImpl(12, 23, 22, false, "testName", "testValue");
		
		assertEquals("(pre: 12, post: 23, par: 22, att: false, tag: testName)", in.toString());
	}
	
	public void testConversion() {
		IndexNodeImpl in = new IndexNodeImpl(12, 23, 22, false, "testName", "testValue");
		
		ByteArray ba = in.getValue();
		byte[] data = new byte[ba.size()];
		ba.copyTo(data, 0);
		assertEquals(in.getNodeValue(), IndexNodeImpl.fromValue(new Value(data)).getNodeValue());
	}
}
